[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TReaderProc

Reader procedure used by DefineProperties

## Declaration

Source position: classesh.inc line 1066

`type TReaderProc = procedure(`
`Reader: TReader`
`) of object;`

## Description

The TReaderProc reader procedure is a callback procedure which will be used by a TPersistent descendent to read user properties from a stream during the streaming process. The Reader argument is the writer object which can be used read properties from the stream.

Documentation generated on: Feb 26 2014